Voronoi Polygon Processing Algorithm Fails with Some Data

2018-11-15 06:19 PM - Basil Eric Rabi

Status: Closed

Priority: Normal

Assignee: Julien Cabieces

Category: Processing/QGIS

Affected QGIS version:3.5(master) Regression?: No

Operating System: fedora 29 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 28330

Description

No polygons are generated using the attached data.

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/algs/qgis/VoronoiPolygons.py", line 166, in processAlgorithm

self.tr('There were no polygons created.'))

_core.QgsProcessingException: There were no polygons created.

History

#1 - 2019-01-22 06:47 PM - Julien Cabieces

- Resolution set to worksforme

- Assignee set to Julien Cabieces

- Status changed from Open to Closed

With current master and your data, I get the following error :

Traceback (most recent call last):

File "/home/julien/work/QGIS/install_release-3_4_debug/share/qgis/python/plugins/processing/algs/qgis/VoronoiPolygons.py", line 133, in

processAlgorithm

point = geom.asPoint()

TypeError: MultiPoint geometry cannot be converted to a point. Only Point types are permitted.

Which means you have to convert your data first using the treatment "multiparts to single parts", then it works.

#2 - 2019-01-23 12:37 AM - Basil Eric Rabi

Which means you have to convert your data first using the treatment "multiparts to single parts", then it works.

Thank you for the guidance. It also works for me.
